Expenses

Expenses

List and create purchase expenses. Scope: expenses.read / expenses.write.

List expenses

GET /v1/expenses
expenses.read
Authorization: HTTP
name: httpBearer
type: http
scheme: bearer
Query
Name Type Description
page integer
per_page integer
Request body

None

Response
data array
id string
number string
title string
invoice_date string
total_incl_vat number
supplier_id string
meta object
page integer
per_page integer
total integer
pages integer

Examples

GET /v1/expenses
curl -X GET "https://api.appficient.nl/v1/expenses" \
  -H "Authorization: Bearer apf_xxxxxxxx" \
  -H "Accept: application/json"

Curl, Node and response are shown to the right of this endpoint.

Create an expense

POST /v1/expenses
expenses.write
Authorization: HTTP
name: httpBearer
type: http
scheme: bearer
Request body
supplier_id string Required
title string
Response
data object
id string
supplier_id string
title string
meta object

Examples

POST /v1/expenses
curl -X POST "https://api.appficient.nl/v1/expenses" \
  -H "Authorization: Bearer apf_xxxxxxxx" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
    "supplier_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "title": "string"
}'

Curl, Node and response are shown to the right of this endpoint.

Retrieve an expense

GET /v1/expenses/{id}
expenses.read
Authorization: HTTP
name: httpBearer
type: http
scheme: bearer
Path
Name Type Description
id Required string Resource id (UUID, lowercase)
Request body

None

Response
data object
id string
number string
title string
invoice_date string
total_incl_vat number
supplier_id string
rows array
name string
quantity number
unit_price number
vat_rate number
total_excl_vat number
meta object

Examples

GET /v1/expenses/{id}
curl -X GET "https://api.appficient.nl/v1/expenses/{id}" \
  -H "Authorization: Bearer apf_xxxxxxxx" \
  -H "Accept: application/json"

Curl, Node and response are shown to the right of this endpoint.